Search
K
Policy Transactions

Get eligible transaction types for a policy by CUSIP and policy number

Returns the list of eligible transaction types for the given CUSIP and policy number.

get

Path Parameters

cusipstringrequired

CUSIP number

policyNumberstringrequired

Policy number

Response

application/json

Success

EligibleTransactionsResponse

cusipstring

Example:123456789

productCodestring

Example:ADDAARP

eligibleTransactionTypesarray[object]

List of eligible transaction types

Show Child Parameters
get/bpm/v1/policies/{cusip}/{policyNumber}/eligibleTransactions
 
application/json

DtccParticipantReferenceResponse

object

Wrapped response envelope for the dtcc-participants reference endpoint.

referenceTypestringrequired

Example:dtcc-participants

resultsarray[object]required

A single DTCC participant record. Only currently effective records are returned.

Show Child Parameters
Example

DtccParticipantRecord

object

A single DTCC participant record. Only currently effective records are returned.

companyIdstring

Example:ABC

planCodestring

Example:ANN100

participantIdstring

Participant identifier.

Example:PART001

typestring

Participant type code (e.g. “B” = broker-dealer, “C” = custodian).

Example:B

participantDescstring

Example:ABC Participant

restrictPlanCodestring
participantEndDatestring(date)

Business end date (ISO 8601). Distinct from expirationDate.

effectiveDatestring(date)

Record validity start (ISO 8601, inclusive).

Example:2025-01-01

expirationDatestring(date)

Record validity end (ISO 8601, inclusive). null means no expiry.

Example

ProductTransactionReferenceResponse

object

Wrapped response envelope for the product-transactions reference endpoint.

referenceTypestringrequired

Example:product-transactions

resultsarray[object]required

A single product transaction record. Only currently effective records are returned.

Show Child Parameters
Example

ProductTransactionRecord

object

A single product transaction record. Only currently effective records are returned.

clientCodestring

Rule-engine client code.

Example:OTP_BPM

planCodestring

Example:ANN100

transactionstring

Transaction type identifier.

Example:FullWithdrawal

transactionDescstring

Example:Full Withdrawal

effectiveDatestring(date)

Record validity start (ISO 8601, inclusive).

Example:2025-01-01

expirationDatestring(date)

Record validity end (ISO 8601, inclusive). null means no expiry.

Example